summaryrefslogtreecommitdiffstats
path: root/board/pm9263/env/bin/update_root
diff options
context:
space:
mode:
Diffstat (limited to 'board/pm9263/env/bin/update_root')
-rw-r--r--board/pm9263/env/bin/update_root14
1 files changed, 11 insertions, 3 deletions
diff --git a/board/pm9263/env/bin/update_root b/board/pm9263/env/bin/update_root
index b757a5b922..eaf36ebcea 100644
--- a/board/pm9263/env/bin/update_root
+++ b/board/pm9263/env/bin/update_root
@@ -2,7 +2,15 @@
. /env/config
-image=$jffs2
-part=/dev/nor0.root
+image=$uimage
+if [ x$1 = xnand ]; then
+ part=/dev/nand0.root.bb
+elif [ x$1 = xnor ]; then
+ part=/dev/nor0.root
+else
+ echo "usage: $0 nor|nand [imagename]"
+ exit 1
+fi
+
+. /env/bin/_update $2
-. /env/bin/_update $1